#!/usr/bin/perl
# print some diagnostic info about paths and environment

use strict;
use warnings 'all';

use utf8; # else literal Unicode strings are not detected?
binmode STDOUT, ":utf8"; # else we get "Wide character in print"

print "Hi, I'm the €₨₩₤Ж Unicode Perl script, I got these parameters passed:\n";
foreach my $argnum (0 .. $#ARGV) {
    print "$argnum:$ARGV[$argnum]\n"; # unicode args trigger "Wide character in print"
}
print "(no parameters)\n" if not @ARGV;

# ExifTool has this line, yielding everything up top the last slash or backslash
my $exeDir = ($0 =~ /(.*)[\\\/]/) ? $1 : '.';

print "Perl version: $] aka $^V\n";
print "OSNAME: $^O\n";
print "Current directory  : "  . Cwd::getcwd() . "\n" if (eval { require Cwd });
print "Script name \$0     : $0\n";
print "ExifTool \$exeDir   : $exeDir\n";
print "Executable name \$^X: $^X\n";
print "Unicode flags      : ${^UNICODE}\n";
print "Include paths:\n";
print "<$_>\n" foreach @INC;

print "Environment variables:\n";
foreach my $name (sort keys(%ENV)){print "$name=$ENV{$name}\n";}

#print "wait two seconds...\n";
#sleep(2);

__END__
